Subject: Re: [PATCH] ath10k: support bus and device specific API 1 BDF selection

From: Kalle Valo <[email-masked]>
Date: Wed, 04 May 2022 10:48:04 +0300

Robert Marko <[email-masked]> writes:

> On Wed, 16 Feb 2022 at 22:55, Thibaut <[email-masked]> wrote:
>>
>> Hi,
>>
>> > Le 16 févr. 2022 à 22:19, Christian Lamparter <[email-masked]> a écrit :
>> >
>> > Hi,
>> >
>> > On 16/02/2022 14:38, Robert Marko wrote:
>> >> Silent ping,
>> >> Does anybody have an opinion on this?
>> >
>> > As a fallback, I've cobbled together from the old scripts that
>> > "concat board.bin into a board-2.bin. Do this on the device
>> > in userspace on the fly" idea. This was successfully tested
>> > on one of the affected devices (MikroTik SXTsq 5 ac (RBSXTsqG-5acD))
>> > and should work for all MikroTik.
>> >
>> > "ipq40xx: dynamically build board-2.bin for Mikrotik"
>> > <https://git.openwrt.org/?p=openwrt/staging/chunkeey.git;a=commit;h=52f3407d94da62b99ba6c09f3663464cccd29b4f>
>> > (though I don't think this link will stay active for
>> > too long.)
>>
>> IMHO Robert’s patch addresses an actual bug in ath10k whereby the
>> driver sends the same devpath for two different devices when
>> requesting board-1 BDF, which doesn’t seem right.
>>
>> Your proposal is less straightforward than using unmodified board-1
>> data (as could be done if the above bug did not occur) and negates
>> the previous efforts not to store this data on flash (using instead
>> the kernel’s documented firmware sysfs loading facility - again
>> possible without the above issue).
>
> Kalle, any chance of reviewing this? It just brings the board data in
> line with caldata as far as naming goes.

Sorry for the delay in review. So the original idea was that board.bin
would be only used by developers for testing purposes only and normal
users will use the board file automatically from board-2.bin. It's a
shame if Mikrotik broke this, it's not ideal if there are so many
different ways to use board files. I need to think a bit about this.

The patch is now in pending branch for build testing:

https://git.kernel.org/pub/scm/linux/kernel/git/kvalo/ath.git/commit/?h=pending&id=eda838c3941863a486f7fced4b739de6fc80e857

I also fixed two checkpatch warnings:

drivers/net/wireless/ath/ath10k/core.c:1252: line length of 93 exceeds 90 columns
drivers/net/wireless/ath/ath10k/core.c:1253: line length of 96 exceeds 90 columns

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches